<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
        xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="bascula">
        <pm:header>
            Registros
        </pm:header>
        <pm:content>
            <h:form id="indexForm">
                <p:panel header="Recepción LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                     <p:messages id="mensaje" showDetail="true" autoUpdate="true" />
                    <p:scrollPanel mode="native" style="width:99%;height:500px">
                        <p:dataList id="datalist" value="#{folioMB.registros_recepcion}"
                                    var="registros" pt:data-filter="true"  
                                    pt:data-filter-placeholder="Búsqueda por filtro" style="width:90%;height:100%" >
                            <p:commandLink action="#{folioMB.seleccionEditarMobile(registros)}" update=":regEditar:regEdicion" >
                                <f:setPropertyActionListener
                                value="#{registros}" target="#{folioMB.activoSeleccionado}" />   
                                <f:param name="id" value="#{registros.id}"/>
                                <h:panelGroup>
                                    <h:outputText value="#{registros.id} - #{registros.folio}"/>
                                    <br/>
                                    <h:outputText value="#{registros.productor}"/>
                                </h:panelGroup>
                            </p:commandLink>
                        </p:dataList>
                    </p:scrollPanel>
                </p:panel>
            </h:form>
        </pm:content>
        <pm:footer>
            <p:button value="Menú" outcome="./menu.xhtml"  style="width:100%;height:30px;font-weight: bold;margin-right:30px;" />
        </pm:footer>
    </pm:page>
    <pm:page id="regEditar">
        <pm:header>
            Edición de registro de recepción 
        </pm:header>
        <pm:content>
            <p:panel id="regEdicion" header="Edición LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                <h:form id="editForm"> 
                    <p:growl id="growl" showDetail="true" sticky="true" /> 
                    <h:panelGrid columns="3" >
                        
                        <p:outputLabel for="id" value="Id: "/>
                        <p:inputText id="id" value="#{folioMB.activoSeleccionado.id}"  readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="numero1" value="Folio: "/>
                        <p:inputText id="numero1" value="#{folioMB.activoSeleccionado.folio}"  readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="norejas" value="No. Rejas: "/>
                        <p:inputNumber id="norejas" value="#{folioMB.activoSeleccionado.no_rejas}"  
                                       requiredMessage="Error al salvar registro.El número de rejas es requerido"
                                       minValue="0" maxValue="100" /> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="tamano" value="Tamaño de rejas: "/>
                        <p:selectOneMenu id="tamano"  value="#{folioMB.activoSeleccionado.tipo_rejas}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                        required="true" requiredMessage="Error al salvar registro. El tamaño de rejas es requerido">
                           <f:selectItem itemLabel="Selecciona una opción"  />
                           <f:selectItems value="#{folioMB.tamanos_reja}" var="registrotr" itemLabel="#{registrotr.nombre}" 
                                          itemValue="#{registrotr.id}"/>
                        </p:selectOneMenu>
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="tipo" value="Tipo de Limón: "/>
                        <p:selectOneMenu id="tipo"  value="#{folioMB.activoSeleccionado.tipo_limon}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                        required="true" requiredMessage="Error al salvar registro. El tipo de limón es requerido">
                           <f:selectItem itemLabel="Selecciona una opción"  />
                           <f:selectItems value="#{folioMB.tamanos_limon}" var="registrotl" itemLabel="#{registrotl.nombre}" 
                                          itemValue="#{registrotl.id}"/>
                        </p:selectOneMenu>
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="agronomo" value="Agronomo: "/>
                        <p:selectOneMenu id="agronomo"  value="#{folioMB.activoSeleccionado.id_agronomo}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true">
                           <f:selectItem itemLabel="Selecciona una opción"  />
                           <f:selectItems value="#{folioMB.agronomos}" var="registroa" itemLabel="#{registroa.nombre}" 
                                          itemValue="#{registroa.id}"/>
                        </p:selectOneMenu>
                        <p:outputLabel value="* Campo opcional"/>
                        
                        <p:outputLabel for="observaciones" value="Observaciones :"/>
                        <p:inputText id="observaciones" value="#{folioMB.activoSeleccionado.observaciones}" style="width: 350px"/> 
                        <p:outputLabel value="+ Campo opcional"/>
                        
                        <p:outputLabel for="dejo" value="Dejo rejas:"/>
                        <p:selectBooleanCheckbox id="dejo" value="#{folioMB.activoSeleccionado.isdejo}" label="Basic" /> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel   value=""/>
                        <p:inputText   value="#{folioMB.activoSeleccionado.id}" type="hidden" /> 
                        <p:outputLabel value=""/>
                    </h:panelGrid> 
                    <p:commandButton value="Guardar registro" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.editarRegitroMobile2(
                                    folioMB.activoSeleccionado.no_rejas,
                                    folioMB.activoSeleccionado.tipo_rejas,
                                    folioMB.activoSeleccionado.tipo_limon,
                                    folioMB.activoSeleccionado.id_agronomo,
                                    folioMB.activoSeleccionado.observaciones,
                                    folioMB.activoSeleccionado.isdejo,
                                    1,
                                    folioMB.activoSeleccionado.id,
                                    sessionMB.usuariomovil.id
                                    )}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Cambiar estatus a confirmación" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.editarRegitroMobile2(
                                    folioMB.activoSeleccionado.no_rejas,
                                    folioMB.activoSeleccionado.tipo_rejas,
                                    folioMB.activoSeleccionado.tipo_limon,
                                    folioMB.activoSeleccionado.id_agronomo,
                                    folioMB.activoSeleccionado.observaciones,
                                    folioMB.activoSeleccionado.isdejo,
                                    2,
                                    folioMB.activoSeleccionado.id,
                                    sessionMB.usuariomovil.id
                                    )}" update=":registroEditar:regEdicion"/>
                    
                    <p:commandButton value="Regresar a bascula" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.rechazar(
                                    folioMB.activoSeleccionado.id
                                    ,0
                                    )}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Cancelar"  ajax="false" icon="ui-icon-contact"  />
                </h:form>
            </p:panel>
        </pm:content>
    </pm:page>
</h:body>
</html>